Related Plugins and Tags

QGIS Python Plugins Repository

Version: [2683] Lizmap server 1.2.0

Changelog
Version 1.2.0:
* Improvement about the filtering by polygon (use a QGIS expression when
possible)
* Add a new option to use the centroid for the filtering by polygon. Available
in the 3.10.0 version of desktop plugin.
* Fix an issue when fetching information from `metadata.txt` in QGIS Server
plugins
* Fix an issue to return Py-QGIS-Server version
* Overpass a bug from QGIS Server about a cache in WFS requests, a fix needs to
be done in QGIS Server core
* All plugins versions (stable and unstable) are now available
https://packages.3liz.org/pub/server-plugins-repository/

Version 1.1.1:
* Add the plugin name when fetching metadata from QGIS server.
* Fix an issue when the polygon table has a schema or table name which must be
enclosed with double quotes.
* Fix an issue preventing to query the PostgreSQL database to retrieve the ids
to filter. Performance could be severely
degraded for heavy filtered layers.

Version 1.1.0:
* Spatial filter - Add the capability to filter spatial layers data by matching
the polygon layer field values with the
user login instead of groups only. The behaviour depends on a new configuration
option `filter_by_user` for the spatial
filter. It's compatible with Lizmap Web Client ≥ 3.5. The desktop plugin must be
updated as well to version 3.9.0.
Approved
yes
Author
Gustry
Uploaded
Oct. 3, 2022, 6:33 a.m.
Minimum QGIS version
3.10.0
Maximum QGIS version
3.99.0
External dependencies (PIP install string)
None
Experimental
no

Version management

Plugin details

Sustaining Members